<template>
  <div
    class="relative mt-10px shadow-default bg-white-grey pt-25px pl-35px pr-35px pb-35px rounded-10px"
  >
    <div class="flex">
      <el-select
        v-model="td_kclx"
        class="shadow-default"
        placeholder="全部类别"
        size="large"
        @change="filterData"
        clearable
        filterable
      >
        <el-option value="">全部学科</el-option>
        <el-option
          v-for="item in lxList"
          :key="item.v"
          :label="item.n"
          :value="item.v"
        />
      </el-select>
      <div class="search-box ml-40px">
        <input type="text" placeholder="搜索关键字" v-model="keyword" />
        <button type="button" class="search-btn" @click="filterData"></button>
      </div>
    </div>
    <div v-if="listData.length > 0">
      <ul class="mt-25px course-list">
        <li v-for="item in listData" :key="item" @click="toDetail(item)">
          <div class="course-img relative">
            <img :src="getFullUrl(item.dzdx_info.img)" alt="" />
            <div class="info-bottom pl-7px items-center flex justify-between">
              <div>
                <span class="icon-view inline-block align-middle"></span>
                <span
                  class="ml-5px text-14px text-white inline-block align-middle"
                  >{{ item.dzdx_info.lll }}</span
                >
              </div>
              <div class="mr-10px">
                <span class="icon-thumb inline-block align-middle"></span>
                <span
                  class="ml-5px text-14px text-white inline-block align-middle"
                  >{{ item.dzdx_info.dzl }}</span
                >
              </div>
            </div>
          </div>
          <div class="pt-10px pb-20px px-15px border-bottom-1">
            <div
              class="text-16px text-dark-400 h-40px leading-20px overflow-hidden"
            >
              {{ item.dzdx_info.name }}
            </div>
            <h4 class="mt-10px text-14px color-grey">
              {{ item.dzdx_info.create_dateline }}
            </h4>
          </div>
          <div class="flex mt-15px pb-20px justify-between px-15px text-14px">
            <span class="text-dark-400"
              >责任老师：{{ item.dzdx_info.teacher_name }}</span
            >
            <span class="flex-1 ml-15px color-grey text-right text-overflow">{{
              item.dzdx_info.school_name
            }}</span>
          </div>
        </li>
      </ul>
      <div class="mt-20px flex justify-center">
        <el-pagination
          v-model:current-page="cur_page"
          v-model:page-size="limit"
          layout="total, prev, pager, next"
          :total="total"
          :background="true"
          @current-change="handleSelectionChange"
        ></el-pagination>
      </div>
    </div>
    <div v-else class="py-80px text-center">
      <div>
        <img
          src="/images/icon-no-data.png"
          width="138"
          class="block m-0-auto"
          alt=""
        />
        <h3 class="text-18px color-050026 mt-20px">暂无数据，敬请期待！</h3>
      </div>
    </div>
  </div>
</template>

<script setup>
import { thumb_list } from "@/pages/jsd/wddz/api.js";
import { getFullUrl } from "@/utils/helper.ts";
import { useRouter, useRoute } from "vue-router";

const router = useRouter();
const route = useRoute();
let limit = $ref(8);
let total = $ref(0);
let cur_page = $ref(1);
let listData = $ref([]);
let keyword = $ref("");
let td_kclx = $ref("");
const lxList = [
  {
    v: "1",
    n: "名师资源",
  },
  {
    v: "2",
    n: "特色课程",
  },
  {
    v: "3",
    n: "直播课程",
  },
  {
    v: "4",
    n: "作业辅导",
  },
  {
    v: "5",
    n: "家庭教育",
  },
  {
    v: "6",
    n: "学科资源",
  },
];
function getListData() {
  let data = {
    page: cur_page,
    limit: limit,
    td_kclx: td_kclx,
    keyword: keyword,
  };
  thumb_list(data).then((res) => {
    if (res.code === "1") {
      listData = res.data.page_data;
      total = Number(res.data.total_rows);
      cur_page = Number(res.data.page_now);
    }
  });
}
let handleSelectionChange = (val) => {
  cur_page = val;
  getListData();
};
function filterData() {
  cur_page = 1;
  getListData();
}
getListData();
function toDetail(item) {
  if (item.td_kclx_option_k == "1") {
    router.push({
      name: "home_mszx_detail",
      params: { tmk_id: item.dzdx_info.tmk_id, tmz_id: item.td_dz_id },
    });
  } else if (item.td_kclx_option_k == "2") {
    router.push({
      name: "home_tskc_detail",
      params: { ttk_id: item.dzdx_info.ttk_id, ttz_id: item.td_dz_id },
    });
  } else if (item.td_kclx_option_k == "3") {
    switch (item.td_dz_content) {
      case "1":
        ElMessage.error("直播还未开始，请耐心等待！");
        break;
      case "2":
        router.push({
          name: "home_zbkc_isLive",
          params: { tz_id: item.dzdx_info.tz_id, tzk_id: item.td_dz_id },
        });
        break;
      case "3":
        router.push({
          name: "home_zbkc_detail",
          params: { tz_id: item.dzdx_info.tz_id, tzk_id: item.td_dz_id },
        });
        break;
    }
  } else if (item.td_kclx_option_k == "4") {
    router.push({
      name: "home_zyfd_detail",
      params: { ttk_id: item.dzdx_info.ttk_id, tz_id: item.td_dz_id },
    });
  } else if (item.td_kclx_option_k == "5") {
    router.push({
      name: "home_jtjy_detail",
      params: { tjk_id: item.dzdx_info.tjk_id, tjz_id: item.td_dz_id },
    });
  }
}
</script>

<style lang="scss" scoped>
$color: #1259a1;
.bg-white-grey {
  background: #fcfeff;
}
.shadow-default {
  box-shadow: 0 10px 24px rgba(161, 153, 168, 0.18);
}
.color-grey {
  color: #999;
}
.border-bottom-1 {
  border-bottom: 1px solid #eee;
}
.search-box {
  width: 300px;
  height: 48px;
  background: #f6f8fa;
  border-radius: 8px;
  padding: 0 10px 0 14px;
  display: flex;
  align-items: center;
  input {
    flex: 1;
    height: 48px;
    border: 0;
    font-size: 16px;
    color: #333;
    outline: none;
    background: #f6f8fa;
  }
  .search-btn {
    width: 26px;
    height: 26px;
    border-radius: 6px;
    background: $color url("/images/icon-search.png") center no-repeat;
    background-size: 13px 13px;
  }
}
.course-list {
  display: flex;
  flex-wrap: wrap;
  li {
    min-width: 0;
    width: 268px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.11);
    margin-right: 19px;
    margin-bottom: 15px;
    cursor: pointer;
    &:nth-child(4n) {
      margin-right: 0;
    }
    .course-img {
      width: 100%;
      height: 151px;
      border-radius: 10px 10px 0 0;
      overflow: hidden;
      img {
        width: 100%;
      }
      .info-bottom {
        position: absolute;
        left: 0;
        bottom: 0;
        z-index: 30;
        width: 152px;
        height: 27px;
        background: rgba(0, 0, 0, 0.5);
        border-radius: 0 10px 0 0;
        display: flex;
        .icon-view {
          width: 24px;
          height: 16px;
          background: url("/images/icon/view.png") center no-repeat;
          background-size: 24px 16px;
        }
        .icon-thumb {
          width: 17px;
          height: 16px;
          background: url("/images/icon/thumb.png") center no-repeat;
          background-size: 17px 16px;
        }
      }
    }
  }
}
::v-deep .el-pagination.is-background .el-pager li.is-active {
  background: $color;
}
::v-deep .el-pager li:hover {
  color: $color;
}
</style>